<div class="container ">
  <div class="mt-3">
    <mat-card>
      <mat-card-content>
        <div class="row ">
          <mat-form-field class="col-md-2">
            <mat-label>Tipo Documento</mat-label>
            <mat-select required [(ngModel)]="selectedTipoDocumento" name="tipoDocumento">
              <mat-option *ngFor="let tipoDocumento of tiposDocumento" [value]="tipoDocumento.id">
                {{ tipoDocumento.descripcion }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="!selectedTipoDocumento">Tipo de documento es requerido.</mat-error>
          </mat-form-field>

          <mat-form-field class="col-md-2" appearance="fill">
            <mat-label>Nro Documento</mat-label>
            <input matInput placeholder="Nro Documento" required [(ngModel)]="numeroDocumento" name="numeroDocumento">
            <mat-error *ngIf="!numeroDocumento">Número de documento es requerido.</mat-error>
          </mat-form-field>

          <mat-form-field class="col-md-2" appearance="fill">
            <mat-label>Apellido Paterno</mat-label>
            <input matInput placeholder="Apellido Paterno" [(ngModel)]="apellidoPaterno" name="apellidoPaterno">
          </mat-form-field>

          <mat-form-field class="col-md-2" appearance="fill">
            <mat-label>Apellido Materno</mat-label>
            <input matInput placeholder="Apellido Materno" [(ngModel)]="apellidoMaterno" name="apellidoMaterno">
          </mat-form-field>

          <mat-form-field class="col-md-4" appearance="fill">
            <mat-label>Nombres</mat-label>
            <input matInput placeholder="Nombres" [(ngModel)]="nombres" name="nombres">
          </mat-form-field>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div class="d-flex justify-content-end">
              <button mat-raised-button color="primary" (click)="buscarPacientes()">Buscar</button>
              <button mat-raised-button color="warn" class="ms-2" (click)="limpiarCampos()">Limpiar</button>
            </div>
          </div>
        </div>
      </mat-card-content>
    </mat-card>

</div>
  <div class="mt-3">
  <mat-card>
    <mat-card-content>
      <div class="row">
        <div class="col-md-12 mb-3">
          <div class="d-flex justify-content-between">
            <div><h4>Pacientes</h4> </div>
            <button mat-raised-button class="bg-warning" routerLink="/CrearPaciente" >Registrar Paciente</button>
          </div>
        </div>
      </div>
        <div class="col-md-12">
          <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" class="table table-striped" *ngIf="dataSource.data.length > 0; else noData">

              <ng-container matColumnDef="noNombres">
                <th mat-header-cell *matHeaderCellDef> Nombre </th>
                <td mat-cell *matCellDef="let element"> {{element.noNombres}} </td>
              </ng-container>
              <ng-container matColumnDef="apaterno">
                <th mat-header-cell *matHeaderCellDef> Ap. Paterno </th>
                <td mat-cell *matCellDef="let element"> {{element.noApePat}} </td>
              </ng-container>
              <ng-container matColumnDef="amaterno">
                <th mat-header-cell *matHeaderCellDef> Ap. Materno </th>
                <td mat-cell *matCellDef="let element"> {{element.noApeMat}} </td>
              </ng-container>

              <ng-container matColumnDef="idTipoDocIde">
                <th mat-header-cell *matHeaderCellDef> Tipo Doc </th>
                <td mat-cell *matCellDef="let element">
                  <ng-container [ngSwitch]="element.idTipoDocIde">
                    <span *ngSwitchCase="1">DNI</span>
                    <span *ngSwitchCase="2">CE</span>
                    <span *ngSwitchCase="3">PA</span>
                    <span *ngSwitchDefault>Desconocido</span>
                  </ng-container>
                </td>
              </ng-container>


              <ng-container matColumnDef="noDocIde">
                <th mat-header-cell *matHeaderCellDef> Nro Doc </th>
                <td mat-cell *matCellDef="let element"> {{element.noDocIde}} </td>
              </ng-container>

              <ng-container matColumnDef="feNacimiento">
                <th mat-header-cell *matHeaderCellDef> Fecha de Nacimiento </th>
                <td mat-cell *matCellDef="let element"> {{ element.feNacimiento | date: 'dd/MM/yyyy' }} </td>
              </ng-container>

              <ng-container matColumnDef="edit">
                <th mat-header-cell *matHeaderCellDef> Editar </th>
                <td mat-cell *matCellDef="let element">
                  <button mat-icon-button                  >
                    <mat-icon>edit</mat-icon> <!-- Ícono de lápiz -->
                  </button>
                </td>
              </ng-container>

              <ng-container matColumnDef="delet">
                <th mat-header-cell *matHeaderCellDef> Eliminar </th>
                <td mat-cell *matCellDef="let element">
                  <button mat-icon-button >
                    <mat-icon>delete</mat-icon> <!-- Ícono de tacho -->
                  </button>
                </td>
              </ng-container>


              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <ng-template #noData>
              <div class="alert alert-warning">Persona no encontrada</div>
            </ng-template>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]"
                           showFirstLastButtons
                           aria-label="Select page of periodic elements">
            </mat-paginator>
          </div>

        </div>
    </mat-card-content>
  </mat-card>
</div>
</div>
